#
Summary:	Proxmox Backup Client
Name:		proxmox-backup-client
Version:	3.4.1
Release:	1%{?tld}
License:	AGPL v3
Group:		Networking/Utilities
# Created by bundled make_tarball.sh
Source0:	%{name}-%{version}.tar.xz
# Source0-md5:	97c04a73eda607b755efcc7b9b3c5832
URL:		https://pbs.proxmox.com/docs/backup-client.html
BuildRequires:	cargo
BuildRequires:	clang
BuildRequires:	acl-devel
BuildRequires:	libbrotli-devel
BuildRequires:	libfuse3-devel
BuildRequires:	libuuid-devel
BuildRequires:	openssl-devel
BuildRequires:	patchelf
BuildRequires:	zlib-devel
BuildRequires:	zstd-devel
BuildRequires:	rpmbuild(macros) >= 1.671
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	acl
Requires:	libbrotli
Requires:	libfuse3
Requires:	openssl
Requires:	zlib
Requires:	zstd
BuildArch:	%{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The command-line client for Proxmox Backup Server.

%package -n bash-completion-proxmox-backup-client
Summary:	Bash completion for Proxmox Backup Client
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-proxmox-backup-client
Bash completion for Proxmox Backup Client.

%package -n zsh-completion-proxmox-backup-client
Summary:	ZSH completion for Proxmox Backup Client
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-proxmox-backup-client
ZSH completion for Proxmox Backup Client.

%prep
%setup -q

%build
cd proxmox-backup
%cargo_build \
	--package proxmox-backup-client \
	--bin proxmox-backup-client \
	--bin dump-catalog-shell-cli \
	--package pxar-bin \
	--bin pxar

cd docs
DEB_HOST_RUST_TYPE=%rust_target BUILD_MODE=release make proxmox-backup-client.1 pxar.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/{bash-completion/completions,zsh/site-functions},%{_mandir}/man1}

./elf-strip-unused-dependencies.sh proxmox-backup/target/%rust_target/release/proxmox-backup-client
./elf-strip-unused-dependencies.sh proxmox-backup/target/%rust_target/release/pxar

install proxmox-backup/target/%rust_target/release/proxmox-backup-client $RPM_BUILD_ROOT%{_bindir}
install proxmox-backup/target/%rust_target/release/pxar $RPM_BUILD_ROOT%{_bindir}/

install proxmox-backup/docs/output/man/proxmox-backup-client.1 $RPM_BUILD_ROOT%{_mandir}/man1
install proxmox-backup/docs/output/man/pxar.1 $RPM_BUILD_ROOT%{_mandir}/man1

install proxmox-backup/bash-completions/proxmox-backup-client.bc $RPM_BUILD_ROOT%{_datadir}/bash-completion/completions/proxmox-backup-client
install proxmox-backup/bash-completions/pxar.bc $RPM_BUILD_ROOT%{_datadir}/bash-completion/completions/pxar

install proxmox-backup/zsh-completions/_proxmox-backup-client $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
install proxmox-backup/zsh-completions/_pxar $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/proxmox-backup-client
%attr(755,root,root) %{_bindir}/pxar
%{_mandir}/man1/proxmox-backup-client.1*
%{_mandir}/man1/pxar.1*

%files -n bash-completion-proxmox-backup-client
%defattr(644,root,root,755)
%{bash_compdir}/proxmox-backup-client
%{bash_compdir}/pxar

%files -n zsh-completion-proxmox-backup-client
%defattr(644,root,root,755)
%{zsh_compdir}/_proxmox-backup-client
%{zsh_compdir}/_pxar
%changelog
* Wed May 21 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/proxmox-backup-client.git;a=log;h=master

* Mon May 19 2025 Marcin Krol <hawk@tld-linux.org> d712544
- added Rs

* Sun May 18 2025 Marcin Krol <hawk@tld-linux.org> 57d3652
- 32 bits not supported by upstream, make package 64-bit only

* Sun May 18 2025 Marcin Krol <hawk@tld-linux.org> 65f1880
- script and patches required to create working source tarball

* Sun May 18 2025 Marcin Krol <hawk@tld-linux.org> f569a82
- Proxmox Backup Client 3.4.1

